local L = LibStub("AceLocale-3.0"):NewLocale("Battleground", "koKR")
if not L then return end

-- Generic
L["The Horde"] = "호드"
L["The Alliance"] = "얼라이언스"

L["has begun!"] = "시작되었습니다!"
L["begins!"] = "시작합니다!"
L["2 minute"] = "2분"
L["1 minute"] = "1분"
L["One minute until"] = "1분 남음"
L["60 seconds"] = "60초"
L["30 seconds"] = "30초"
L["15 seconds"] = "15초"
L["Forty five seconds"] = "45초 남음"
L["Thirty seconds until"] = "30초 남음"
L["Fifteen seconds until"] = "15초 남음"

-- Options
L["Battleground"] = true
L["You can select where you want messages displayed using the options below."] = "메시지를 표시할 위치를 아래 설정을 이용해서 선택할 수 있습니다."
L["Message Output"] = "메시지 출력"


-- Alterac Valley
L["Iceblood Tower"] = "얼음피 보초탑"
L["Iceblood Graveyard"] = "얼음피 무덤"
L["Tower Point"] = "거점 보초탑"
L["Frostwolf Graveyard"] = "서리늑대 무덤"
L["East Frostwolf Tower"] = "동부 서리늑대 보초탑"
L["West Frostwolf Tower"] = "서부 서리늑대 보초탑"
L["Frostwolf Relief Hut"] = "서리늑대 구호막사"
L["Coldtooth Mine"] = "얼음이빨 광산"
L["Stonehearth Bunker"] = "돌심장 참호"
L["Stonehearth Graveyard"] = "돌심장 무덤"
L["Icewing Bunker"] = "얼음날개 참호"
L["Stormpike Graveyard"] = "스톰파이크 무덤"
L["Dun Baldar North Bunker"] = "북부 던 발다르 참호"
L["Dun Baldar South Bunker"] = "남부 던 발다르 참호"
L["Stormpike Aid Station"] = "스톰파이크 보급기지"
L["Irondeep Mine"] = "깊은무쇠 광산"
L["Snowfall Graveyard"] = "눈사태 무덤"

L["Battleground Start"] = "전장 시작"
L["Battleground Elapsed"] = "전장 경과"

L["%s has engaged %s."] = "%s가 %s를 공격하고 있습니다."
L["%s has reset %s."] = "%s가 %s의 처치에 실패하였습니다."
L["%s has defeated %s."] = "%s가 %s를 처치하였습니다."

L["Captain Balinda Stonehearth"] = "부대장 발린다 스톤하스"
L["Begone, uncouth scum!  The Alliance shall prevail in Alterac Valley!"] = "꺼져라! 이 무례한 오합지졸들아! 알터랙 계곡은 얼라이언스의 땅이다!"
L["Filthy Frostwolf cowards! If you want a fight, you'll have to come to me!"] = "더러운 서리늑대 겁쟁이들 같으니!"

L["Captain Galvangar"] = "부대장 갈반가르"
L["Die!  Your kind has no place in Alterac Valley!"] = "죽어라! 이 알터랙 계곡에 너희 종족이 발붙일 자리는 없다!"
L["I'll never fall for that, fool! If you want a battle it will be on my terms and in my lair."] = "내가 그 정도에 속아 넘어갈 것 같으냐, 어리석은 놈들!"

L["Vanndar Stormpike"] = "반다르 스톰파이크"
L["Soldiers of Stormpike, your General is under attack! I require aid! Come! Come! Slay these mangy Frostwolf dogs."] = "스톰파이크의 병사들이여, 그대들의 사령관이 공격받고 있노라! 도움이 필요하다! 어서 와서 이 비열한 서리늑대 개들을 처치하라!"
L["You'll never get me out of me bunker, heathens!"] = "절대로 날 참호 밖으로 끌어낼 수 없을 것이다. 이 야만인 녀석들!"

L["Drek'Thar"] = "드렉타르"
L["Stormpike filth! In my keep?! Slay them all!"] = "스톰파이크 쓰레기들이 감히 나의 요새에 쳐들어와?! 모조리 쳐라!"
L["You seek to draw the General of the Frostwolf legion out from his fortress? PREPOSTEROUS!"] = "감히 서리늑대 사령관을 요새 밖으로 끌어내시겠다? 말도 안되는 소리!"

L["Herald"] = "전령"
L["The Frostwolf General is dead!"] = "서리늑대 부족 사령관이 전사했습니다!"
L["The Stormpike General is dead!"] = "스톰파이크 사령관이 전사했습니다!"

-- Arathi Basin

L["Farm"] = "농장"
L["Stables"] = "마구간"
L["Blacksmith"] = "대장간"
L["Gold Mine"] = "금광"
L["Lumber Mill"] = "제재소"
-- lowercase for chat parsing, apparantly it's different for em all in russian so aadding them here
L["mine"] = "광산"
L["lumber mill"] = "제재소"
L["blacksmith"] = "대장간"
L["farm"] = "농장"
L["stables"] = "마구간"

L["Bases: ([0-9]+)  Resources: ([0-9]+)/([0-9]+)"] = "거점: ([0-9]+)  자원: ([0-9]+)/([0-9]+)"

L["(.+) claims the ([^!]+)"] = true
L["(.+) has assaulted the ([^!]+)"] = "(.+)|이;가; ([^!]+)|을;를; 공격했습니다!"
L["has taken the ([^!]+)"] = "([^!]+)|을;를; 점령했습니다!"
L["has defended the ([^!]+)"] = "([^!]+)|을;를; 방어했습니다!"

-- generic for arathi and eots
L["Bases to win: %d"] = "미점령 거점: %d"
L["Final Score: %d/%d"] = "최후 점수: %d/%d"


-- Eye of the Storm

L["Bases: ([0-9]+)  Victory Points: ([0-9]+)/([0-9]+)"] = "거점: ([0-9]+)  승점: ([0-9]+)/([0-9]+)"
L["Mage Tower"] = "마법사 탑"
L["Draenei Ruins"] = "드레나이 폐허"
L["Fel Reaver Ruins"] = "지옥절단기 폐허"
L["Blood Elf Tower"] = "블러드 엘프 경비탑"

-- Isle of Conquest

L["Docks"] = "부두"
L["Hangar"] = "격납고"
L["Quarry"] = "채석장"
L["Refinery"] = "정제소"
L["Workshop"] = "작업장"
L["Horde Keep"] = "호드 요새"
L["Alliance Keep"] = "얼라이언스 요새"
L["Siege Engine"] = "공성 전차"

L["oil refinery"] = "기름 정제소" -- exception for chat parsing
L["workshop"] = "작업장"
L["docks"] = "부두"
L["hangar"] = "격납고"
L["quarry"] = "채석장"
L["refinery"] = "정제소"
L["horde keep"] = "호드 요새"
L["alliance keep"] ="얼라이언스 요새"

L["Gnomish Mechanic"] = "노움 정비사"
L["See those seaforium bombs? Use them on the gates while I repair the siege engine!"] = "저기 시포리움 폭탄 보이세요? 제가 공성 전차를 수리하는 동안엔 그걸 이용해서 관문을 공격하세요!"
L["I'm halfway there! Keep the Horde away from here.  They don't teach fighting in engineering school!"] = "반쯤 됐어요! 호드가 절 못 때리게 해주세요. 기계공학 학교에서는 싸움은 안 가르친다고요!"
L["My finest work so far! This siege engine is ready for action!"] = "제 최고의 작품인 듯한데요! 이제 이 공성 전차를 몰고 나가셔도 돼요!"

L["Goblin Mechanic"] = "고블린 정비사"
L["I'll work on the siege engine, just watch my back.  Use those seaforium bombs on the gates if you need them!"] = "공성 전차를 수리하는 동안 날 좀 지켜 달라고. 필요하면 저기 있는 시포리움 폭약을 관문에 사용해!"
L["I'm about halfway done! Keep the Alliance away - fighting's not in my contract!"] = "반쯤 됐다고! 얼라이언스 놈들이 가까이 못오게 해줘. 계약서에 전투 얘긴 없었다고!"
L["The siege engine is ready to roll!"] = "이제 이 공성 전차를 끌고 나가도 좋아!"

L["High Commander Halford Wyrmbane"] = "총사령관 할포드 웜베인"
L["Overlord Agmar"] = "대군주 아그마르"
L["The gates have been breached! Defend the keep!"] = "관문이 무너졌다! 요새를 지켜라!"
L["%s has breached %s Keep!"] = "%s|1이;가; %s 요새를 무너뜨렸습니다!"

L["%s has finished a siege engine."] = "%s|1이;가; 공성 전차를 완료했습니다."
L["%s has started building a siege engine."] = "%s|1이;가; 공성 전차를 수리하기 시작했습니다."
L["%s is halfway building a siege engine."] = "%s|1이;가; 공성 전차를 반쯤 수리했습니다."

L["Horde Gate"] = "호드 대문"
L["Alliance Gate"] = "얼라이언스 대문"
L["Front Gate"] = "정문"
L["West Gate"] = "서문"
L["East Gate"] = "동문"
